# Gimp.enum_get_value

    function enum_get_value(enum_type: GObject.Type, value: Number(gint)): [ok: Boolean, value_name: String, value_nick: String, value_desc: String, value_help: String] {
        // Gjs wrapper for gimp_enum_get_value()
    }

Checks if value is valid for the enum registered as enum_type. If the value exists in that enum, its name, nick and its translated description and help are returned (if value_name, value_nick, value_desc and value_help are not null).

Since 2.2

enum_type

  the GLib.Type of a registered enum

value

  an integer value

ok

  true if value is valid for the enum_type, false otherwise

value_name

  return location for the value's name, or null

value_nick

  return location for the value's nick, or null

value_desc

  return location for the value's translated description, or null

value_help

  return location for the value's translated help, or null